Target (MetaCoretex API)
Keywords: com.securitycentric.metacoretex.lib.Target class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.securitycentric.metacoretex.lib
Class Target

    java.lang.Object
      com.securitycentric.metacoretex.lib.Target

public class Target
extends java.lang.Object

Author:
  visigoth

Field Summary
`java.util.Vector` | `exVect`
`java.util.Hashtable` | `kb`
`java.util.Vector` | `repVect`

Constructor Summary
`Target(java.lang.String host)` Creates a new instance of the KnowlegeBase

Method Summary
`void` | `addProbeException(ProbeException pe)`
`void` | `addProbeReport(ProbeReport prpt)`
`void` | `clearKb()`
`void` | `clearProbeExceptions()`
`void` | `clearProbeReports()`
`java.lang.String` | `getHost()`
`java.util.Vector` | `getProbeExceptions()`
`java.util.Vector` | `getProbeReports()`
`int` | `getSeverityCount(int sev)`
`boolean` | `isLocked()`
`java.lang.Object` | `kbGet(java.lang.String key)`
`boolean` | `kbHas(java.lang.String key)`
`void` | `kbPut(java.lang.String key, java.lang.Object val)`
`void` | `setHost(java.lang.String name)`
`void` | `setLocked(boolean bol)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kb

    public java.util.Hashtable kb

### exVect

    public java.util.Vector exVect

### repVect

    public java.util.Vector repVect

Constructor Detail

### Target

    public Target(java.lang.String host)

  Creates a new instance of the KnowlegeBase

Method Detail

### getHost

    public java.lang.String getHost()

### setHost

    public void setHost(java.lang.String name)

### isLocked

    public boolean isLocked()

### setLocked

    public void setLocked(boolean bol)

### kbPut

    public void kbPut(java.lang.String key,
                      java.lang.Object val)

### kbGet

    public java.lang.Object kbGet(java.lang.String key)

### kbHas

    public boolean kbHas(java.lang.String key)

### addProbeReport

    public void addProbeReport(ProbeReport prpt)

### getProbeReports

    public java.util.Vector getProbeReports()

### clearProbeReports

    public void clearProbeReports()

### addProbeException

    public void addProbeException(ProbeException pe)

### getProbeExceptions

    public java.util.Vector getProbeExceptions()

### clearProbeExceptions

    public void clearProbeExceptions()

### clearKb

    public void clearKb()

### getSeverityCount

    public int getSeverityCount(int sev)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD